org.apache.felix.ipojo.extender.internal.declaration.service

## Class DeclarationServiceFactory

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.declaration.service.DeclarationServiceFactory

All Implemented Interfaces:
  org.osgi.framework.ServiceFactory<DeclarationBuilderService>

    public class DeclarationServiceFactory
    extends java.lang.Object
    implements org.osgi.framework.ServiceFactory<DeclarationBuilderService>

`ServiceFactory` for `DeclarationBuilderService`. It avoids to explicitly gives a `BundleContext` for each service method. The `BundleContext` of the client is used.

### Constructor Summary

Constructors
Constructor and Description
`DeclarationServiceFactory(org.osgi.framework.BundleContext bundleContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DeclarationBuilderService` `getService(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration<DeclarationBuilderService> registration)`
`void` `start()`
`void` `stop()`
`void` `ungetService(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration<DeclarationBuilderService> registration, DeclarationBuilderService service)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeclarationServiceFactory

    public DeclarationServiceFactory(org.osgi.framework.BundleContext bundleContext)

### Method Detail

#### start

    public void start()

#### stop

    public void stop()

#### getService

    public DeclarationBuilderService getService(org.osgi.framework.Bundle bundle,
                                                org.osgi.framework.ServiceRegistration<DeclarationBuilderService> registration)

Specified by:
  `getService` in interface `org.osgi.framework.ServiceFactory<DeclarationBuilderService>`

#### ungetService

    public void ungetService(org.osgi.framework.Bundle bundle,
                             org.osgi.framework.ServiceRegistration<DeclarationBuilderService> registration,
                             DeclarationBuilderService service)

Specified by:
  `ungetService` in interface `org.osgi.framework.ServiceFactory<DeclarationBuilderService>`